###############################################################################
# (c) Copyright 2019-2022 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
import math
from ruamel.yaml import YAML

mp = '2022data'

evt_max = 1000
#evt_max = 40000
#evt_max = 1000000
#evt_max = 2000000
#evt_max = 3000000
#evt_max = 5000000

n_kevts = str(math.trunc(evt_max / 1000)) + 'k'

#addinfo = '_minp40_' + mp + n_kevts
addinfo = '_minp40_subset_' + mp + n_kevts
#addinfo = ''
#addinfo = '_' + mp + n_kevts
#addinfo = '_minp40_subset_theta2_' + mp + n_kevts

mirror_align_tasks = [
    'Produce',  # fill the production set of histograms
    #'Monitor',  # add various checking histograms
    #'CoordSysTrans',  # explore influence of RICH1 coordinate systems on distribution shapes
]

# cumulative substring with all tasks chosen
tasks = ''
for task in mirror_align_tasks:
    tasks += '_' + task

rich = 'rich1'

yaml = YAML()

# retrieve the timestamp
with open(rich + '_session_timestamp.yml') as inp:
    ts = yaml.load(inp)

# form the current variant name
current_variant = ts + '_' + rich + addinfo + tasks

# record the current variant name into the YAML file
with open(rich + '_variant.yml', 'w') as out:
    yaml.dump(current_variant, out)
