###############################################################################
# (c) Copyright 2019-2022 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
import math
from ruamel.yaml import YAML

mp = '2022data'

evt_max = 1000
#evt_max = 40000
#evt_max = 1000000
#evt_max = 2000000
#evt_max = 3000000
#evt_max = 5000000

n_kevts = str(math.trunc(evt_max / 1000)) + 'k'

#addinfo = '_minp60_' + mp + n_kevts
addinfo = '_minp60_subset_' + mp + n_kevts
#addinfo = '_minp60_qnt20f60_rndmpresc_' + mp + n_kevts
#addinfo = ''
#addinfo = '_' + mp + n_kevts
#addinfo = '_minp60_phi2_' + mp + n_kevts
#addinfo = '_minp60_phi_' + mp + n_kevts
#addinfo = '_minp60_qnt20f60_' + mp + n_kevts
#addinfo = '_minp60_subset_theta2_' + mp + n_kevts

mirror_align_tasks = [
    'Produce',  # fill the production set of histograms
    #'Monitor',  # add various checking histograms
    #'MapExlore',  # explore tracks and photons for the HLT1 pre-selection line "map"
    #'MapConstruct',  # construct exploratory data structure for the HLT1 pre-selection line "map"
    #'Map',  # create data structure to be used in the HLT1 selection line with entire contents
    #'MapUse',  # use the "map" data structure a la in the HLT1 pre-selection line "map"
    #'MapPhi',  # create data structure to be used in the HLT1 selection line with contents in quantiles
    #'MapPhiUse',  # use the "mapPhi" data structure in the HLT1 pre-selection line "mapPhi"
    #'AllFillCount',  # add counters for optimization of the RICH2 mirror combinations subset
    #'AllFillPhi',  # fill 1D phi histos for optimization of the RICH2 mirror combinations subset
    #'CheckRestFill',  # check filling the rest of RICH2 mirror combinations along with 8 poorest
    #'SkipFilled',  # check filling all RICH2 mirror combinations with skipping when filled
]

# cumulative substring with all tasks chosen
tasks = ''
for task in mirror_align_tasks:
    tasks += '_' + task

rich = 'rich2'

yaml = YAML()

# retrieve the timestamp
with open(rich + '_session_timestamp.yml') as inp:
    ts = yaml.load(inp)

# form the current variant name
current_variant = ts + '_' + rich + addinfo + tasks

# record the current variant name into the YAML file
with open(rich + '_variant.yml', 'w') as out:
    yaml.dump(current_variant, out)
